AntiFeatures:
  - NonFreeNet
Categories:
  - Games
License: GPL-3.0-only
SourceCode: https://github.com/yourealwaysbe/forkyz
IssueTracker: https://github.com/yourealwaysbe/forkyz/issues

AutoName: Forkyz

RepoType: git
Repo: https://github.com/yourealwaysbe/forkyz

Builds:
  - versionName: '5'
    versionCode: 500000
    commit: v5
    subdir: app
    gradle:
      - yes
    scanignore:
      - gfx
      - app/src/main/assets/icons1.ttf
      - app/src/main/assets/icons4.ttf
      - puzlib/src/test/resources/puz_110523margulies.puz
      - puzlib/src/test/resources/2010-7-19-NewYorkTimes.puz
      - puzlib/src/test/resources/2010-7-4-LosAngelesTimes.puz
      - puzlib/src/test/resources/puz_110131aniston.puz
      - puzlib/src/test/resources/test.puz

  - versionName: '6'
    versionCode: 600000
    commit: v6
    subdir: app
    gradle:
      - yes
    scanignore:
      - gfx
      - app/src/main/assets/icons1.ttf
      - app/src/main/assets/icons4.ttf
      - puzlib/src/test/resources/puz_110523margulies.puz
      - puzlib/src/test/resources/2010-7-19-NewYorkTimes.puz
      - puzlib/src/test/resources/2010-7-4-LosAngelesTimes.puz
      - puzlib/src/test/resources/puz_110131aniston.puz
      - puzlib/src/test/resources/test.puz

  - versionName: '8'
    versionCode: 800000
    commit: v8
    subdir: app
    gradle:
      - yes
    rm:
      - puzlib/src/test
    scanignore:
      - gfx/*.icns
      - gfx/*.opacity

  - versionName: '9'
    versionCode: 900000
    commit: 3e5dca535c2f121bdd0d8f5493b37c7be16572df
    subdir: app
    gradle:
      - yes
    rm:
      - puzlib/src/test
    scanignore:
      - gfx/*.icns
      - gfx/*.opacity

  - versionName: '10'
    versionCode: 1000000
    commit: 36f6c86b339de015dfe5164602cc23cab6ce42ec
    subdir: app
    gradle:
      - yes
    rm:
      - puzlib/src/test
    scanignore:
      - gfx/*.icns
      - gfx/*.opacity

  - versionName: '11'
    versionCode: 1100000
    commit: b317e316a2914565acd31ddd50704c33c8357588
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    rm:
      - puzlib/src/test
    scanignore:
      - gfx/*.icns
      - gfx/*.opacity

  - versionName: '12'
    versionCode: 1200000
    commit: a5b3c6f9531fbe600478b0fe786bb8de25dc230e
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    rm:
      - puzlib/src/test
    scanignore:
      - gfx/*.icns
      - gfx/*.opacity

  - versionName: '13'
    versionCode: 1300000
    commit: 23b51da90f08a3381d598f0faf707e025f6b32b3
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    rm:
      - puzlib/src/test
    scanignore:
      - gfx/*.icns
      - gfx/*.opacity

  - versionName: '14'
    versionCode: 1400000
    commit: fc5ca7dcb42124dc820f7fa99636567b5cc895e3
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    rm:
      - puzlib/src/test
    scanignore:
      - gfx/*.icns
      - gfx/*.opacity

  - versionName: '15'
    versionCode: 1500000
    commit: 49b39cd65b9a6dd06b227bef93166a3629e728d8
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    rm:
      - puzlib/src/test
    scanignore:
      - gfx/*.icns
      - gfx/*.opacity

  - versionName: '16'
    versionCode: 1600000
    commit: 195808f4325210a973666dfe428c453aac3af6ba
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    rm:
      - puzlib/src/test
    scanignore:
      - gfx/*.icns
      - gfx/*.opacity

  - versionName: '17'
    versionCode: 1700000
    commit: addf972b5949d901097feb25f54b60a563edbb49
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    rm:
      - puzlib/src/test
    scanignore:
      - gfx/*.icns
      - gfx/*.opacity

  - versionName: '18'
    versionCode: 1800000
    commit: 7c3b3d945ae2c3809aa2153b22b73df04b933de9
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    rm:
      - puzlib/src/test
    scanignore:
      - gfx/*.icns
      - gfx/*.opacity

  - versionName: '19'
    versionCode: 1900000
    commit: 216d29af6648876cc003e7700e242f3cabcc597c
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    rm:
      - puzlib/src/test
    scanignore:
      - gfx/*.icns
      - gfx/*.opacity

  - versionName: '20'
    versionCode: 2000000
    commit: 76bea485c8da87a60110dcb3f718e3954795cd30
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    rm:
      - puzlib/src/test
    scanignore:
      - gfx/*.icns
      - gfx/*.opacity

  - versionName: '21'
    versionCode: 2100000
    commit: fc79bb849f4f08d0e9b861466bbfc0491bd47401
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    rm:
      - puzlib/src/test
    scanignore:
      - gfx/*.icns
      - gfx/*.opacity

  - versionName: '22'
    versionCode: 2200000
    commit: 91fa828e69e87501c122ed1c7514d9ec012b55be
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    rm:
      - puzlib/src/test
    scanignore:
      - gfx/*.icns
      - gfx/*.opacity

  - versionName: '23'
    versionCode: 2300000
    commit: 6b9ffac9e7805759af917cda56a6e9b06a3d4332
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    rm:
      - puzlib/src/test
    scanignore:
      - gfx/*.icns
      - gfx/*.opacity

  - versionName: '24'
    versionCode: 2400000
    commit: 21459773114bdaae0e20b408b3b3451f99e77d54
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    rm:
      - puzlib/src/test
    scanignore:
      - gfx/*.icns
      - gfx/*.opacity

  - versionName: '25'
    versionCode: 2500000
    commit: d289a29b87737b436794ebf994c72cb96446df2d
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    rm:
      - puzlib/src/test
    scanignore:
      - gfx/*.icns
      - gfx/*.opacity

  - versionName: '26'
    versionCode: 2600000
    commit: 9ff8d50db398a177377e62d776a554c2a8b44f50
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    rm:
      - puzlib/src/test
    scanignore:
      - gfx/*.icns
      - gfx/*.opacity

  - versionName: '28'
    versionCode: 2800000
    commit: 229e24195a68a59e30044bfe4a377a322dcd3c28
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    rm:
      - puzlib/src/test
    scanignore:
      - gfx/*.icns
      - gfx/*.opacity

  - versionName: '29'
    versionCode: 2900000
    commit: 83fe71db24d5c66ea1b13f071805d01cee804bf0
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    rm:
      - puzlib/src/test
    scanignore:
      - gfx/*.icns
      - gfx/*.opacity

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags
CurrentVersion: '29'
CurrentVersionCode: 2900000
